// Code generated by MockGen. DO NOT EDIT.
// Source: github.com/xescugc/smf/worker/service (interfaces: Service)

// Package mock is a generated GoMock package.
package mock

import (
	context "context"
	gomock "github.com/golang/mock/gomock"
	channel "github.com/xescugc/smf/interops/channel"
	post "github.com/xescugc/smf/interops/post"
	reflect "reflect"
)

// Service is a mock of Service interface
type Service struct {
	ctrl     *gomock.Controller
	recorder *ServiceMockRecorder
}

// ServiceMockRecorder is the mock recorder for Service
type ServiceMockRecorder struct {
	mock *Service
}

// NewService creates a new mock instance
func NewService(ctrl *gomock.Controller) *Service {
	mock := &Service{ctrl: ctrl}
	mock.recorder = &ServiceMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use
func (m *Service) EXPECT() *ServiceMockRecorder {
	return m.recorder
}

// FetchChannel mocks base method
func (m *Service) FetchChannel(arg0 context.Context, arg1 int) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "FetchChannel", arg0, arg1)
	ret0, _ := ret[0].(error)
	return ret0
}

// FetchChannel indicates an expected call of FetchChannel
func (mr *ServiceMockRecorder) FetchChannel(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "FetchChannel", reflect.TypeOf((*Service)(nil).FetchChannel), arg0, arg1)
}

// FetchPosts mocks base method
func (m *Service) FetchPosts(arg0 context.Context, arg1 int) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "FetchPosts", arg0, arg1)
	ret0, _ := ret[0].(error)
	return ret0
}

// FetchPosts indicates an expected call of FetchPosts
func (mr *ServiceMockRecorder) FetchPosts(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "FetchPosts", reflect.TypeOf((*Service)(nil).FetchPosts), arg0, arg1)
}

// UpdateChannel mocks base method
func (m *Service) UpdateChannel(arg0 context.Context, arg1 int, arg2 channel.Channel) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "UpdateChannel", arg0, arg1, arg2)
	ret0, _ := ret[0].(error)
	return ret0
}

// UpdateChannel indicates an expected call of UpdateChannel
func (mr *ServiceMockRecorder) UpdateChannel(arg0, arg1, arg2 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "UpdateChannel", reflect.TypeOf((*Service)(nil).UpdateChannel), arg0, arg1, arg2)
}

// UpsertPost mocks base method
func (m *Service) UpsertPost(arg0 context.Context, arg1 int, arg2 post.Post) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "UpsertPost", arg0, arg1, arg2)
	ret0, _ := ret[0].(error)
	return ret0
}

// UpsertPost indicates an expected call of UpsertPost
func (mr *ServiceMockRecorder) UpsertPost(arg0, arg1, arg2 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "UpsertPost", reflect.TypeOf((*Service)(nil).UpsertPost), arg0, arg1, arg2)
}
